CVE-2002-1502
CVSS2.1
发布时间 :2003-04-02 00:00:00
修订时间 :2008-09-05 16:30:46
NMCOS    

[原文]Symbolic link vulnerability in xbreaky before 0.5.5 allows local users to overwrite arbitrary files via a symlink from the user's .breakyhighscores file to the target file.


[CNNVD]xbreaky本地文件破坏漏洞(CNNVD-200304-030)

        
        xbreaky是一款X窗口下的游戏程序,在OpenBSD、NetBSD中以PORT方式安装。
        xbreaky在生成最高分记录文件的时候没有检查文件是否存在,本地攻击者可以利用这个漏洞进行符号链接攻击。
        xbreaky使用$HOME/.breakyhighscores文件来记录最高分,但xbreaky在写最高分文件时,没有检查文件是否存在,攻击者可以通过符号连接把此文件连接到任意系统文件中,由于xbreaky以suid root属性进行安装,所以当生成高分文件时,通过符号链接可破坏系统文件,导致拒绝服务攻击。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:dave_brul:xbreaky:0.0.3
cpe:/a:dave_brul:xbreaky:0.0.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1502
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1502
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200304-030
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5700
(VENDOR_ADVISORY)  BID  5700
http://xbreaky.sourceforge.net/
(VENDOR_ADVISORY)  CONFIRM  http://xbreaky.sourceforge.net/
http://www.iss.net/security_center/static/10078.php
(VENDOR_ADVISORY)  XF  xbreaky-breakyhighscores-symlink(10078)
http://archives.neohapsis.com/archives/bugtraq/2002-09/0131.html
(VENDOR_ADVISORY)  BUGTRAQ  20020912 xbreaky symlink vulnerability

- 漏洞信息

xbreaky本地文件破坏漏洞
低危 访问验证错误
2003-04-02 00:00:00 2005-05-13 00:00:00
本地  
        
        xbreaky是一款X窗口下的游戏程序,在OpenBSD、NetBSD中以PORT方式安装。
        xbreaky在生成最高分记录文件的时候没有检查文件是否存在,本地攻击者可以利用这个漏洞进行符号链接攻击。
        xbreaky使用$HOME/.breakyhighscores文件来记录最高分,但xbreaky在写最高分文件时,没有检查文件是否存在,攻击者可以通过符号连接把此文件连接到任意系统文件中,由于xbreaky以suid root属性进行安装,所以当生成高分文件时,通过符号链接可破坏系统文件,导致拒绝服务攻击。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * chmod a-s /patch/xbreaky
        厂商补丁:
        xbreaky
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        xbreaky Upgrade xbreaky 0.0.5
        
        http://xbreaky.sourceforge.net/download.html

- 漏洞信息

14480
xbreaky Symlink Arbitrary File Overwrite
Local Access Required Race Condition

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-09-10 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Xbreaky File Corruption Vulnerability
Access Validation Error 5700
No Yes
2002-09-12 12:00:00 2009-07-11 05:06:00
Discovery of this issue is credited to Marco van Berkum <m.v.berkum@obit.nl>.

- 受影响的程序版本

xbreaky xbreaky 0.0.4
xbreaky xbreaky 0.0.3
xbreaky xbreaky 0.0.5

- 不受影响的程序版本

xbreaky xbreaky 0.0.5

- 漏洞讨论

The xbreaky game is prone to symbolic link attacks, which may allow local attackers to corrupt arbitrary system files.

When xbreaky writes to the high score file, it will follow any symbolic links. Since xbreaky is installed setuid root by default, an attacker could create a symbolic link to an arbitrary file and then when the highscore file is written to, the file pointed to by the symbolic link will also be written to.

There may be some possibility of exploiting this condition to elevate privileges, if the attacker causes system files to be corrupted with custom data.

- 漏洞利用

There is no exploit code required.

- 解决方案

The vendor has addressed this issue in xbreaky 0.0.5.


xbreaky xbreaky 0.0.3

xbreaky xbreaky 0.0.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站